org.richfaces

## Enum ExpandMode

- java.lang.Object
- - java.lang.Enum<ExpandMode>
  - - org.richfaces.ExpandMode

- All Implemented Interfaces:
    Serializable, Comparable<ExpandMode>

      public enum ExpandMode
      extends Enum<ExpandMode>

  Since:
    Oct 19, 2010
  Author:
    akolonitsky

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ajax`
    `client`
    `none`
    `server`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ExpandMode` | `DEFAULT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExpandMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExpandMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ajax

          public static final ExpandMode ajax

    - #### server

          public static final ExpandMode server

    - #### client

          public static final ExpandMode client

    - #### none

          public static final ExpandMode none

  - ### Field Detail

    - #### DEFAULT

          public static final ExpandMode DEFAULT

  - ### Method Detail

    - #### values

          public static ExpandMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExpandMode c : ExpandMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExpandMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.